Menu
EtoileAbonnementRSS
jeuxvideo.com  /  Tous les forums  /  Forum principal Informatique  /  Forum Linux  / 

Topic Aide installation elemantary os

Sujet : Aide installation elemantary os

1
Skyzeworld
Skyzeworld
MP
23 août 2019 à 09:57:30

salut,
j'utilise elmentary os comme distribution et je veux installer une application.
quel format de paquets faut-il, (.tar/.tar.gz/.deb/....) et comment fait on pour l'installer ?
j'utilisais Eddy avant mais il ne voit pas les paquets des fois alors qu'il sont bien téléchargé et dans le bon dossier.
merci.

CoentraoDaSilva
CoentraoDaSilva
MP
23 août 2019 à 11:08:23

C'est Ubuntu donc plusieurs solutions :
- dans le terminal : sudo apt install [nom du paquet] , exemple : sudo apt install vlc
- en interface graphique avec un gestionnaire de paquet comme synaptic
- via le store de ton OS
- en téléchargeant un .deb sur Internet puis dans le terminal : dpkg -i nom de ton paquet

Une recherche sur le net aurait suffit c'est assez basique :(.

Sinon si c'est un logiciel propriétaire pas dispo via les méthodes que je t'ai cité il reste l'option Flatpak ou Snap ( Google t'aidera )
Tu cherches quel logiciel ?

Message édité le 23 août 2019 à 11:09:57 par CoentraoDaSilva
gilari
gilari
MP
23 août 2019 à 14:44:24

Ou....utiliser une distrib mère ou fille qui tient la route et pas un dérivé au 15ème degré.

CoentraoDaSilva
CoentraoDaSilva
MP
23 août 2019 à 19:49:43

D'ailleurs elle a quoi de spécial cette Distro pour toujours être au top sur distrowatch ?

Skyzeworld
Skyzeworld
MP
23 août 2019 à 20:44:41

la commande apt install me dit que le paquet n'existe pas
je vais essayer synaptic
c'est pour installer un tas de truc (open office, darktable et plein d'autre trucs)

Skyzeworld
Skyzeworld
MP
23 août 2019 à 21:10:08

je viens d'essayer synaptic mais je ne comprend rien
j'ai réussi à installer darktable qui était en .deb mais open office est est en .tar.gz et quand je fais la commande il me dit : open impossible: Aucun fichier ou dossier de ce type

gilari
gilari
MP
24 août 2019 à 08:17:42

D'ailleurs elle a quoi de spécial cette Distro pour toujours être au top sur distrowatch ?

Elle est jolie.

Nitunse
Nitunse
MP
24 août 2019 à 08:28:37

Et encore, les critères de beauté… À mes yeux c'est surtout la discrétion et la rapidité qui rendent joli et attractif un DE.
Accessoirement, l'interface d'elementary est facilement reproductible avec n'importe quel DE, un thème, des icones…

gilari
gilari
MP
24 août 2019 à 08:47:59

Accessoirement, l'interface d'elementary est facilement reproductible avec n'importe quel DE, un thème, des icones…

Oui mais bon tu comprends il faut bien un argument pour créer une DGLFI de plus.

[deban]_Dakien
[deban]_Dakien
MP
24 août 2019 à 09:56:53

C'est pour ça, utilisez UNIX, on n'a pas de DFI, on a même pas de "D" d'ailleurs :hap:

:dehors:

Skyzeworld
Skyzeworld
MP
26 août 2019 à 23:47:15

j'ai installé adobe flash player en .tar.gz mais quand je fais : sudo apt install adobe_flash_player, il me fait :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet adobe_flash_player
root@skyze-WE279AA-ABF-p6361fr:~#

je comprend rien pourtant ça a fonctionné avec darktable

CoentraoDaSilva
CoentraoDaSilva
MP
27 août 2019 à 02:36:21

[23:47:15] <Skyzeworld>
j'ai installé adobe flash player en .tar.gz mais quand je fais : sudo apt install adobe_flash_player, il me fait :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet adobe_flash_player
root@skyze-WE279AA-ABF-p6361fr:~#

je comprend rien pourtant ça a fonctionné avec darktable

Mec sérieusement je veux pas être méchant mais pourquoi tu lis pas rapidement le wiki Ubuntu pour comprendre comment ça fonctionne ?
1- sudo apt install nomdupaquet ne va installer un paquet que si il est disponible dans les repo indiqué dans ton fichier sourcelist. Donc en gros dans la base de logiciel de ta distribution ( et dans celles que t' ajouté ), ça sert donc à rien de télécharger un logiciel et tenter ce que tu fais, t'as rien à dl sur internet c'est le terminal qui fait tout pour toi.
Et vu que t'as pas l'air à l'aise avec le Terminal utilise un truc comme Synaptic ( qui est certainement dispo sur elementary os )( une interface graphique pour faire ce que tu cherches à faire ), tu vas pouvoir chercher les paquets et les installer.
2- tar.gz c'est juste une archive qu'est que tu veux en faire ? Installer une archive ? C'est pas possible.
Tu dois te retrouver avec un fichier .deb puis aller à l'emplacement de ton fichier et l'installer via dpkg OU SYNAPTIC en double cliquant simplement dessus.

Y'a rien de difficile, arrête d'essayer de t'en sortir en testant n'importe quoi, va lire un tuto sur le WIKI UBUNTU, comprends et applique.

[deban]_Dakien
[deban]_Dakien
MP
27 août 2019 à 11:02:46

2- tar.gz c'est juste une archive qu'est que tu veux en faire ? Installer une archive ? C'est pas possible.

Sur Debian GNU/Linux c'est fortement déconseillé en effet mais j'installe toujours mes deux OS principaux à coup de "tar zxvpf" sur du .tar.xz moi :hap: je ne vois pas pourquoi ce serait impossible autrement !

CoentraoDaSilva
CoentraoDaSilva
MP
27 août 2019 à 13:23:05

[11:02:46] <[deban]_Dakien>

2- tar.gz c'est juste une archive qu'est que tu veux en faire ? Installer une archive ? C'est pas possible.

Sur Debian GNU/Linux c'est fortement déconseillé en effet mais j'installe toujours mes deux OS principaux à coup de "tar zxvpf" sur du .tar.xz moi :hap: je ne vois pas pourquoi ce serait impossible autrement !

Je me suis mal exprimé, il est toujours possible de faire  tar -zxvf file.tar.gz mais bon je pense pas qu'il est judicieux de lui conseiller de faire ça, rien que pour les dépendances :hap:.
Sinon sérieusement elementary os étant user friendly y'a certainement un truc du style Gnome Software qui facilite tout :(

1
Répondre
Prévisu
?
Victime de harcèlement en ligne : comment réagir ?
Infos 0 connecté(s)

Gestion du forum

Modérateurs : Google_Bot
Contacter les modérateurs - Règles du forum

Sujets à ne pas manquer

Boutique
FIFA 20 - Standard Edition Amazon 44,99€
The Legend of Zelda: Link's Awakening Amazon 41,99€
Nintendo Switch avec paire de Joy-Con Rouge Néon et Bleu Néon Amazon 299,98€